[android-components](../../index.md) / [mozilla.components.browser.menu2](../index.md) / [BrowserMenuController](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`BrowserMenuController(visibleSide: `[`Side`](../../mozilla.components.concept.menu/-side/index.md)` = Side.START, style: `[`MenuStyle`](../../mozilla.components.concept.menu/-menu-style/index.md)`? = null)`

Controls a popup menu composed of MenuCandidate objects.

### Parameters

`visibleSide` - Sets the menu to open with either the start or end visible.

`style` - Custom styling for this menu controller.